Subject: Re: bug#32456: Guile failed to call package-derivation without pre-inst-env

From: [email-masked] (Ludovic Courtès)
Date: Wed, 22 Aug 2018 15:32:48 +0200

Hi Oleg,

Oleg Pykhalov <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Oleg Pykhalov <[email-masked]> skribis:
>
> […]
>
>> However, I don’t understand why guix/elf.scm is a symlink in your
>> profile.  First that means you installed the ‘guix’ package in your
>> profile, which is not recommended (better have it in the ‘guix
>> pull’-managed profile.)
>
> I don't have ‘guix’ package installed, but I have one not published
> package with one script inside.  The script is a modified version of
> ‘guix edit’ script which opens a Hydra page for PACKAGE arguments.
>
> guix-browse	0.1-1.83022c9	out
> /gnu/store/…-guix-browse-0.1-1.83022c9
>
> /gnu/store/…-guix-browse-0.1-1.83022c9/share/guile/site/2.2/guix/scripts/browse.scm

Oh I see, that may be why guix/*.scm is a symlink (I’m guessing your
package has ‘guix’ in ‘propagated-inputs’, right?).

(It looks like a nice tool BTW, you should tell us more about it.  ;-)
I really think we should build more tools to interact with the CI
system, sort-of like what ‘guix weather’ does.)

I’ll see if I can work on the actual bug later on.

Thanks,
Ludo’.